/*
 * fml_adc.h
 *
 *  Created on: 2025年4月7日
 *      Author: 22332
 */

#ifndef FML_ADC_H_
#define FML_ADC_H_

extern uint8_t fml_adc_read_once(uint8_t pos);
extern uint8_t fml_convert_ntc_ad_to_temp(void);
extern void fml_adc_init(void);
extern uint16_t fml_adc_read_bat_ad(void);
extern uint16_t fml_adc_read_temp_ad(void);
extern uint16_t fml_adc_filter(uint16_t *buf,int len);
extern uint16_t fml_adc_to_bat_voltage(uint16_t adc);

#endif /* FML_ADC_H_ */
